Skip to main content
GET
/
api
/
alerts
/
for-run
/
{runId}
cURL
curl -X GET "https://app.cotool.ai/api/alerts/for-run/:runId" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"
{
  "alert": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "displayId": "<string>",
    "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organizationName": "<string>",
    "title": "<string>",
    "description": "<string>",
    "source": {},
    "detection": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "originAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "originTriggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "originRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "originDetectionHitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "externalRef": "<string>",
    "externalUrl": "<string>",
    "assignedAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "triageRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "dedupeKey": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "firstTriagedAt": "<string>",
    "resolvedAt": "<string>",
    "originAgentName": "<string>",
    "assignedAgentName": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here

Path Parameters

runId
string<uuid>
required

Run UUID (chats.id) to resolve a linked alert for

Response

Successful response

alert
object
required

Alert this run triaged or created, or null when the run is not linked to an alert